Query Token Details

This will show how the customer after tokenizing a card using 3DS can query for the token generated

Request Parameters

Parameter NameTypeDescription
service_codestringUnique code identifier for the merchant's service in use as provided on the checkout platform.
merchant_transaction_idstringUnique transaction ID identifying the transaction as given by the merchant.

Example

{
    "merchant_transaction_id": "{{merchant_transaction_id}}",
    "service_code": "{{service_code}}",
 }   

Response Parameters

Parameter NameTypeDescription
statusJSONObjectContains status details
status.status_codestringFor success will always be 200 and 0 For failed
status. status_descriptionstringDescribe the success or failed status given above
resultsJSONObjectcontains the actual details to be returned
results.tokenstringreturns the actual token generated if you did a generate token with 3DS request
results.agreement_idstringThis will give back the agreementID generated by the acquirer for the transaction

Example of Successful Response

{
    "status": {
      "status_code": 200,
    	"status_description": "Successfully processed request!"
    },
    "results": {
        "token": "9538573326597802",
        "agreement_id": "39267377884"
    }
}

Example of Failed Responses

{
   "status": {
      "status_code": 404,
    	"status_description": "Token not available"
    },
    "results": {
        "token": null,
        "agreement_id": null,
        "acquirer_code": null,
        "acquirer_message": null,
        "merchant_transaction_id": "TestLayout0068"
    }
}
Language
Response
Click Try It! to start a request and see the response here!